Bug 428368 - (fedora-ds) Review Request: fedora-ds: Meta-package for Fedora Directory Server Suite
Review Request: fedora-ds: Meta-package for Fedora Directory Server Suite
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 23:17 EST by Rich Megginson
Modified: 2009-05-05 12:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 14:42:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2008-01-10 23:17:57 EST
Spec URL: http://rmeggins.fedorapeople.org/fedora-ds.spec
SRPM URL: http://rmeggins.fedorapeople.org/fedora-ds-1.1.1-1.src.rpm
Description: Meta-package for Fedora Directory Server Suite

Builds in mock, both f-8 i386 and x86_64.

rpmlint says E: no-binary.

This is a meta-package, the purpose of which is to simply provide Requires to
pull in the other components (fedora-ds-base, fedora-ds-admin, console packages)
of the Fedora Directory Server.  It only contains the LICENSE file, in the %doc
directory.  The reason why it has an arch is so that it will pull in the correct
 architecture of the other packages such as fedora-ds-base which are
architecture specific.
Comment 1 Dennis Gilmore 2008-01-12 15:53:36 EST
ill take this
Comment 2 Dennis Gilmore 2008-01-15 22:15:18 EST
looks good and is clean approved.  builds in mock.
Comment 3 Rich Megginson 2008-01-16 13:47:02 EST
Updated due to rename of fedora-admin-console to fedora-ds-admin-console

SRPM: http://rmeggins.fedorapeople.org/fedora-ds-1.1.1-2.src.rpm
Spec: http://rmeggins.fedorapeople.org/fedora-ds.spec
Comment 4 Rich Megginson 2008-01-16 13:47:46 EST
New Package CVS Request
=======================
Package Name: fedora-ds
Short Description: Meta-package for Fedora Directory Server Suite
Owners: rmeggins nkinder nhosoi
Branches: F-8
InitialCC: 
Cvsextras Commits:

Comment 5 Dennis Gilmore 2008-01-16 14:52:16 EST
CVS  Done
Comment 6 Orion Poplawski 2008-02-06 17:08:45 EST
Um, this should be a noarch package:

BuildArch: noarch

Comment 7 Rich Megginson 2008-02-06 17:18:38 EST
(In reply to comment #6)
> Um, this should be a noarch package:
> 
> BuildArch: noarch
> 
Unfortunately, I don't think it can be a noarch package, because most of its
dependencies are arch specific packages (fedora-ds-base, fedora-ds-admin).  How
would that work?
Comment 8 Orion Poplawski 2008-02-06 17:41:50 EST
(In reply to comment #7)

> Unfortunately, I don't think it can be a noarch package, because most of its
> dependencies are arch specific packages (fedora-ds-base, fedora-ds-admin).  How
> would that work?

We don't care about the architecture of dependencies.
Comment 9 Rich Megginson 2008-02-06 17:54:36 EST
(In reply to comment #8)
> (In reply to comment #7)
> 
> > Unfortunately, I don't think it can be a noarch package, because most of its
> > dependencies are arch specific packages (fedora-ds-base, fedora-ds-admin).  How
> > would that work?
> 
> We don't care about the architecture of dependencies.

So if I do
yum install fedora-ds

on an x86_64 system, what happens?  Does it pull in fedora-ds-base.x86_64 or
fedora-ds-base.i386?  If the latter, and I really want (and expect since I'm
running on an x86_64 system) to get fedora-ds-base.x86_64 picked up as a
dependency, how does that work?
Comment 10 Orion Poplawski 2008-02-06 18:03:03 EST
Well, under the current setup, you would get both, with the x86_64 binaries
taking precedence.  Looks like current plan is to fix yum so that you would only
get the preferred architecture.

Why is fedora-ds-base multilib at the moment anyway?  Is there any reason why
you would want to run the 32-bit version on x86_64?
Comment 11 Rich Megginson 2008-02-06 21:48:42 EST
(In reply to comment #10)
> Well, under the current setup, you would get both, with the x86_64 binaries
> taking precedence.  Looks like current plan is to fix yum so that you would only
> get the preferred architecture.

Ok.  I guess at that point I can then make fedora-ds noarch?
 
> Why is fedora-ds-base multilib at the moment anyway?  Is there any reason why
> you would want to run the 32-bit version on x86_64?

Is it multilib?  What makes it multilib?  I don't think there is any reason to
run the 32-bit version on x86_64.
Comment 12 Orion Poplawski 2008-03-27 19:01:20 EDT
comment #11)
> (In reply to comment #10)
> > Well, under the current setup, you would get both, with the x86_64 binaries
> > taking precedence.  Looks like current plan is to fix yum so that you would only
> > get the preferred architecture.
> 
> Ok.  I guess at that point I can then make fedora-ds noarch?

You could make it noarch now.

> > Why is fedora-ds-base multilib at the moment anyway?  Is there any reason why
> > you would want to run the 32-bit version on x86_64?
> 
> Is it multilib?  What makes it multilib?  I don't think there is any reason to
> run the 32-bit version on x86_64.

fedora-ds-base is multilib because it has a -devel sub-package.  I believe you
can black list it by sending a request to rel-eng@fedoraproject.org.(In reply to 
Comment 13 Orion Poplawski 2009-05-05 12:09:54 EDT
I'd like to see, and would be willing to maintain, EL-5 branches for fedora-ds and company in EPEL.  Thoughts?

Note You need to log in before you can comment on or make changes to this bug.